
module "network-with-security-group" {
  source = "terraform-aws-modules/network-with-security-group/aws"
  version = "1.2.0"
  availability_zones = var.availability_zones
  create_security_group = var.create_security_group
  create_vpc = var.create_vpc
  default_egress_priority = var.default_egress_priority
  default_ingress_priority = var.default_ingress_priority
  description = var.description
  egress_cidr_blocks = var.egress_cidr_blocks
  egress_ports = var.egress_ports
  egress_rules = var.egress_rules
  egress_with_cidr_blocks = var.egress_with_cidr_blocks
  egress_with_cidr_blocks_and_ports = var.egress_with_cidr_blocks_and_ports
  egress_with_source_security_group_id = var.egress_with_source_security_group_id
  existing_vpc_id = var.existing_vpc_id
  ingress_cidr_blocks = var.ingress_cidr_blocks
  ingress_ports = var.ingress_ports
  ingress_rules = var.ingress_rules
  ingress_with_cidr_blocks = var.ingress_with_cidr_blocks
  ingress_with_cidr_blocks_and_ports = var.ingress_with_cidr_blocks_and_ports
  ingress_with_source_security_group_id = var.ingress_with_source_security_group_id
  name = var.name
  priority_for_egress_rules = var.priority_for_egress_rules
  priority_for_ingress_rules = var.priority_for_ingress_rules
  profile = var.profile
  region = var.region
  security_group_tags = var.security_group_tags
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  use_existing_vpc = var.use_existing_vpc
  use_num_suffix = var.use_num_suffix
  vpc_cidr = var.vpc_cidr
  vpc_description = var.vpc_description
  vpc_name = var.vpc_name
  vpc_tags = var.vpc_tags
  vswitch_cidrs = var.vswitch_cidrs
  vswitch_description = var.vswitch_description
  vswitch_name = var.vswitch_name
  vswitch_tags = var.vswitch_tags
}
